Skip to main content
GET
/
tasks
/
{task_id}
Get Task
curl --request GET \
  --url https://api.miteos.com/tasks/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "prompt": "<string>",
  "status": "<string>",
  "total_tokens_used": 123,
  "total_cost_cents": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "subtasks": [
    {
      "id": "<string>",
      "agent_type": "<string>",
      "prompt": "<string>",
      "status": "<string>",
      "tokens_used": 123,
      "model_used": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string
required

Response

Successful Response

id
string
required
prompt
string
required
status
string
required
total_tokens_used
integer
required
total_cost_cents
integer
required
created_at
string<date-time>
required
completed_at
string<date-time> | null
required
subtasks
SubTaskResponse · object[]
required